# Organization API: Org Community Guides

> Every Organization API operation tagged Org Community Guides.

Source: https://docs.coritan.com/api/reference/organizations/org-community-guides/

Base URL: `https://api.coritan.com/api/v1`. Paths below are complete.

To try these requests in the browser, open the [interactive Organization API reference](https://api.coritan.com/docs/org).

## Operations

| Method | Path | Summary |
| --- | --- | --- |
| POST | [`/api/v1/orgs/{org_slug}/admin/community/guides/articles/{article_id}/approve`](#op-post-api-v1-orgs-org-slug-admin-community-guides-articles-article-id-approve) | Org admin approve |
| POST | [`/api/v1/orgs/{org_slug}/admin/community/guides/articles/{article_id}/reject`](#op-post-api-v1-orgs-org-slug-admin-community-guides-articles-article-id-reject) | Org admin reject |
| GET | [`/api/v1/orgs/{org_slug}/admin/community/guides/moderators`](#op-get-api-v1-orgs-org-slug-admin-community-guides-moderators) | List moderators |
| POST | [`/api/v1/orgs/{org_slug}/admin/community/guides/moderators`](#op-post-api-v1-orgs-org-slug-admin-community-guides-moderators) | Add moderator |
| DELETE | [`/api/v1/orgs/{org_slug}/admin/community/guides/moderators/{org_customer_id}`](#op-delete-api-v1-orgs-org-slug-admin-community-guides-moderators-org-customer-id) | Remove moderator |

### Org admin approve {#op-post-api-v1-orgs-org-slug-admin-community-guides-articles-article-id-approve}

`POST /api/v1/orgs/{org_slug}/admin/community/guides/articles/{article_id}/approve`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `article_id` | path | integer | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org admin reject {#op-post-api-v1-orgs-org-slug-admin-community-guides-articles-article-id-reject}

`POST /api/v1/orgs/{org_slug}/admin/community/guides/articles/{article_id}/reject`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `article_id` | path | integer | yes |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `reason` | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### List moderators {#op-get-api-v1-orgs-org-slug-admin-community-guides-moderators}

`GET /api/v1/orgs/{org_slug}/admin/community/guides/moderators`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Add moderator {#op-post-api-v1-orgs-org-slug-admin-community-guides-moderators}

`POST /api/v1/orgs/{org_slug}/admin/community/guides/moderators`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `org_customer_id` | integer | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Remove moderator {#op-delete-api-v1-orgs-org-slug-admin-community-guides-moderators-org-customer-id}

`DELETE /api/v1/orgs/{org_slug}/admin/community/guides/moderators/{org_customer_id}`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_customer_id` | path | integer | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |
